PineRouterDocs
GuidesModelsAPI referenceApps

Upload a file

POST
/v1/files
AuthorizationBearer <token>

In: header

Request Body

multipart/form-data

file*file
Formatbinary

Response Body

application/json

application/json

curl -X POST "https://pinerouter.ai/v1/files" \  -F file="string"
{
  "id": "string",
  "object": "file",
  "url": "https://files.example.com/uploads/6f1c.png",
  "bytes": 48213,
  "content_type": "image/png",
  "expires_at": 0
}
Empty
{
  "error": {
    "message": "string",
    "type": "invalid_api_key",
    "code": "invalid_api_key"
  }
}
Empty